Summary:	Download utility with resuming and segmented downloading
Name:		aria2
Version:	1.16.3
Release:	%mkrel 1
License:	GPLv2+
Group:		Networking/File transfer
URL:		http://aria2.sourceforge.net/
Source0:	http://downloads.sourceforge.net/aria2/%{name}-%{version}.tar.xz
BuildRequires:	bison
Buildrequires:	libxml2-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	gnutls-devel
BuildRequires:	c-ares-devel
BuildRequires:	sqlite3-devel
BuildRequires:	cppunit-devel
Requires:	rootcerts
#we need 1.7.0 to have ares_library_init available
Requires:	c-ares >= 1.7.0
# aria2 needs a new enough libgcrypt (mga#3361):
Requires:	libgcrypt >= 1.5.0
Provides:	webfetch

%description
Aria2 has segmented downloading engine in its core. It can download one 
file from multiple URLs or multiple connections from one URL. This results
in very high speed downloading, very much faster than ordinary browsers.
This engine is implemented with a single-thread model.
It can also download BitTorrent files and supports Metalink version 3.0.

%package doc
Summary:	Documentation for %{name}
Group:		Networking/File transfer
BuildArch:	noarch

%description doc
This package contains the documentation for %{name}.

%prep
%setup -q

%build
export CFLAGS="%{optflags} -Os"
export CXXFLAGS="$CFLAGS"

%configure2_5x \
	--with-ca-bundle="%{_sysconfdir}/pki/tls/cert.pem" \
	--enable-bittorrent \
	--enable-metalink \
	--enable-epoll \
	--enable-threads=posix \
	--disable-rpath \
	--with-gnutls \
	--without-openssl \
	--with-sqlite3 \
	--with-libxml2 \
	--without-libexpat \
	--with-libcares \
	--with-libz

%make

# (tpg) disable checks on x86, on x86_64 all of them passes without any failures
%ifnarch %{ix86}
%check
make check
%endif

%install
%makeinstall_std
rm -f %{buildroot}%{_docdir}/%{name}/README{,.asciidoc}
install NEWS %{buildroot}%{_docdir}/%{name}/

%find_lang %{name}

%files -f %{name}.lang
%exclude %{_docdir}/%{name}
%{_bindir}/*
%{_mandir}/man1/*
%lang(ru) %{_mandir}/ru/man1/*

%files doc
%doc %{_docdir}/%{name}/*


%changelog

* Wed Feb 06 2013 luigiwalser <luigiwalser> 1.16.3-1.mga3
+ Revision: 394871
- 1.16.3

* Fri Jan 11 2013 umeabot <umeabot> 1.16.1-2.mga3
+ Revision: 346058
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 27 2012 luigiwalser <luigiwalser> 1.16.1-1.mga3
+ Revision: 335591
- 1.16.1

  + tv <tv>
    - package NEWS

* Sun Dec 02 2012 fwang <fwang> 1.16.0-1.mga3
+ Revision: 324913
- new version 1.16.0

* Mon Sep 03 2012 luigiwalser <luigiwalser> 1.15.2-1.mga3
+ Revision: 287478
- 1.15.2

* Mon Aug 13 2012 luigiwalser <luigiwalser> 1.15.1-1.mga3
+ Revision: 281018
- 1.15.1

* Tue Jun 26 2012 tv <tv> 1.15.0-1.mga3
+ Revision: 264136
- new release

* Wed Feb 29 2012 fwang <fwang> 1.14.2-2.mga2
+ Revision: 216083
- try to fix file conflicts

* Tue Feb 28 2012 fwang <fwang> 1.14.2-1.mga2
+ Revision: 215767
- new version 1.14.2

* Thu Jan 12 2012 fwang <fwang> 1.14.1-1.mga2
+ Revision: 195118
- new version 1.14.1

* Tue Jan 03 2012 tv <tv> 1.14.0-1.mga2
+ Revision: 190160
- new release

* Sun Nov 27 2011 tv <tv> 1.13.0-1.mga2
+ Revision: 172526
- new release

* Sun Nov 27 2011 tv <tv> 1.12.1-3.mga2
+ Revision: 172515
- fix aria2 after priority upgrade:?\194?\160it needs a new enough libgcrypt (mga#3361)

* Thu Nov 10 2011 blino <blino> 1.12.1-2.mga2
+ Revision: 166051
- split out big doc files in a doc subpackage

  + tv <tv>
    - new release

  + fwang <fwang>
    - rebuild for new gnuls
    - update file list
    - new version 1.12

* Wed Jun 08 2011 kharec <kharec> 1.11.2-1.mga2
+ Revision: 101957
- new version 1.11.2

* Tue Apr 19 2011 tv <tv> 1.11.1-1.mga1
+ Revision: 88368
- new release

* Wed Apr 13 2011 tv <tv> 1.10.9-1.mga1
+ Revision: 84085
- new release

* Sun Jan 09 2011 kharec <kharec> 1.10.8-1.mga1
+ Revision: 2121
- imported package aria2

